/**************************************************************/
/** Gestisce statistiche TRIMES SU Facebook PAGE LEVEL DATA  **/
/** Author: @mauroferri Data: 8/4/2018 TAB.19-35             **/
/**************************************************************/

TITLE1 "COMUNE DI RIMINI - UFFICIO COMUNICAZIONE";

%let trimestre=Primo Trimestre 2018; /* Inserire denominazione intervallo */
%let suff=page_1TRIM2018;
%let path=/folders/myfolders/sasuser.v94/facebook/;
%let eticpaesi=etichette-paesi.txt;             /* Tabelle 18 - 22 - 28 */
%let eticcitta=etichette-citta.txt;             /* Tabelle 31 */
%let varcitta=variabilicitta.txt;               /* Tabelle 31 */
%let eticdomini=etichette-domini.txt;           /* Tabelle 38 */
%let vardomini=variabilidomini.txt;
TITLE2 "Facebook Insights PAGE Level - &trimestre";
FOOTNOTE2 "Elaborazione della Redazione web &SYSDATE- Thanks to Sas University Edition 2.7 9.4 M5";
OPTIONS linesize=116 PAGESIZE=62 NONUMBER NODATE CENTER COMPRESS=yes;
LIBNAME facebook "/folders/myfolders/sasuser.v94/facebook";
%let page=/folders/myfolders/sasuser.v94/facebook/Facebook Insights Data Export - Comune di Rimini - 2018-04-04.xlsx;
filename percorso "&path";
%let datada=01JAN2018; /* Intervallo data da: configurare */
%let dataa=31MAR2018;  /* Intervallo data a: configurare */
RUN;

/***************************************************************************************/
/* 19 TOTALE: DATI AGGREGATI DI FACEBOOK SULLA POSIZIONE GEOGRAFICA ORDINATI PER CITTA'*/
/***************************************************************************************/
TITLE3 "#19 Totale: dati aggregati di Facebook sulla posizione geografica, ordinati per città, riguardanti le persone a cui piace la tua Pagina. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.lt_like_city_19_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Lifetime Likes by City";
RUN;
/*
Proc means data=facebook.lt_like_city_19_&suff;
Run;
*/
proc TABULATE data=facebook.lt_like_city_19_&suff format=comma10. ;
CLASS Data;
VAR 
Ancona__Marche Bari__Puglia VAR5 Bologna__Emilia_Romagna Borgo_Maggiore__Emilia_Romagna Brescia__Lombardia Cattolica__Emilia_Romagna
Cervia__Emilia_Romagna Cesena__Emilia_Romagna Cesenatico__Emilia_Romagna VAR13 Coriano__Emilia_Romagna Domagnano__Emilia_Romagna
Faenza__Emilia_Romagna Fano__Marche Ferrara__Emilia_Romagna Firenze__Toscana VAR20 VAR21 Genova__Liguria Londra__Inghilterra__Regno_Unito
Milano__Lombardia Misano_Adriatico__Emilia_Romagna Modena__Emilia_Romagna Montescudo__Emilia_Romagna Morciano_di_Romagna__Emilia_Roma
Napoli__Campania Novafeltria__Emilia_Romagna Padova__Veneto Palermo Parma__Emilia_Romagna Pesaro__Marche Pesaro_e_Urbino__Marche
Poggio_Berni__Emilia_Romagna Ravenna__Emilia_Romagna VAR38 Riccione__Emilia_Romagna Rimini__Emilia_Romagna Roma__Lazio
San_Clemente__Emilia_Romagna San_Giovanni_in_Marignano__Emili San_Mauro_Pascoli__Emilia_Romagn Santarcangelo__Emilia_Romagna Santarcangelo_di_Romagna__Emilia
Savignano_sul_Rubicone__Emilia_R VAR48 Tirana__Prefettura_di_Tirana__Al Torino__Piemonte Venezia__Veneto Vergiano__Emilia_Romagna
Verona__Veneto Verucchio__Emilia_Romagna Villa_Verucchio__Emilia_Romagna Viserba__Emilia_Romagna
;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
LABEL Ancona__Marche="Ancona" Bari__Puglia="Bari" VAR5="NN" Bologna__Emilia_Romagna="Bologna" Borgo_Maggiore__Emilia_Romagna="Borgo Maggiore" Brescia__Lombardia="Brescia" Cattolica__Emilia_Romagna="Cattolica"
Cervia__Emilia_Romagna="Cervia" Cesena__Emilia_Romagna="Cesena" Cesenatico__Emilia_Romagna="Cesenatico" VAR13="NN" Coriano__Emilia_Romagna="Coriano" Domagnano__Emilia_Romagna="Domagnano"
Faenza__Emilia_Romagna="Faenza" Fano__Marche="Fano" Ferrara__Emilia_Romagna="Ferrara" Firenze__Toscana="Firenze" VAR20="NN" VAR21="NN" Genova__Liguria="Genova" Londra__Inghilterra__Regno_Unito="Londra"
Milano__Lombardia="Milano" Misano_Adriatico__Emilia_Romagna="Misano A." Modena__Emilia_Romagna="Modena" Montescudo__Emilia_Romagna="Montescudo" Morciano_di_Romagna__Emilia_Roma="Morciano"
Napoli__Campania="Napoli" Novafeltria__Emilia_Romagna="Novafeltria" Padova__Veneto="Padova" Palermo="Palermo" Parma__Emilia_Romagna="Parma" Pesaro__Marche Pesaro_e_Urbino__Marche="Pesaro"
Poggio_Berni__Emilia_Romagna="Poggio Berni" Ravenna__Emilia_Romagna="Ravenna" VAR38="NN" Riccione__Emilia_Romagna="Riccione" Rimini__Emilia_Romagna="Rimini" Roma__Lazio="Roma"
San_Clemente__Emilia_Romagna="San Clemente" San_Giovanni_in_Marignano__Emili="San Giovanni in M." San_Mauro_Pascoli__Emilia_Romagn="San Mauro Pascoli" Santarcangelo__Emilia_Romagna="Santarcangelo R." Santarcangelo_di_Romagna__Emilia="Santarcangelo di R."
Savignano_sul_Rubicone__Emilia_R="Savignano sul R." VAR48="NN" Tirana__Prefettura_di_Tirana__Al="Tirana" Torino__Piemonte="Torinio" Venezia__Veneto="Venezia" Vergiano__Emilia_Romagna="Vergiano"
Verona__Veneto="Verona" Verucchio__Emilia_Romagna="Veruccio" Villa_Verucchio__Emilia_Romagna="Villa Verucchio" Viserba__Emilia_Romagna="Viserba";
FORMAT Data DDMMYY10.;
      TABLE
      Data all, Ancona__Marche Bari__Puglia VAR5 Bologna__Emilia_Romagna Borgo_Maggiore__Emilia_Romagna Brescia__Lombardia Cattolica__Emilia_Romagna
Cervia__Emilia_Romagna Cesena__Emilia_Romagna Cesenatico__Emilia_Romagna VAR13 Coriano__Emilia_Romagna Domagnano__Emilia_Romagna
Faenza__Emilia_Romagna Fano__Marche Ferrara__Emilia_Romagna Firenze__Toscana VAR20 VAR21 Genova__Liguria Londra__Inghilterra__Regno_Unito
Milano__Lombardia Misano_Adriatico__Emilia_Romagna Modena__Emilia_Romagna Montescudo__Emilia_Romagna Morciano_di_Romagna__Emilia_Roma
Napoli__Campania Novafeltria__Emilia_Romagna Padova__Veneto Palermo Parma__Emilia_Romagna Pesaro__Marche Pesaro_e_Urbino__Marche
Poggio_Berni__Emilia_Romagna Ravenna__Emilia_Romagna VAR38 Riccione__Emilia_Romagna Rimini__Emilia_Romagna Roma__Lazio
San_Clemente__Emilia_Romagna San_Giovanni_in_Marignano__Emili San_Mauro_Pascoli__Emilia_Romagn Santarcangelo__Emilia_Romagna Santarcangelo_di_Romagna__Emilia
Savignano_sul_Rubicone__Emilia_R VAR48 Tirana__Prefettura_di_Tirana__Al Torino__Piemonte Venezia__Veneto Vergiano__Emilia_Romagna
Verona__Veneto Verucchio__Emilia_Romagna Villa_Verucchio__Emilia_Romagna Viserba__Emilia_Romagna
      / BOX="19 Lifetime Likes by City";
RUN;

/****************************************************************************************/
/* 20 TOTALE: DATI AGGREGATI SULLA LINGUA RELATIVE ALLE PERSONE CUI PIACE LA TUA PAGINA */
/****************************************************************************************/
TITLE3 "#20 Totale: dati aggregati sulla lingua relativi alle persone a cui piace la tua Pagina in base alla lingua impostata al momento dell'accesso a Facebook. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.lt_like_lang_20_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Lifetime Likes by Language";
RUN;

proc TABULATE data=facebook.lt_like_lang_20_&suff format=comma10. ;
CLASS Data;
VAR 
ar_AR
az_AZ
bg_BG
bn_IN
ca_ES
cs_CZ
da_DK
de_DE
el_GR
en_GB
en_PI
en_US
es_ES
es_LA
fa_IR
fi_FI
fr_CA
fr_FR
he_IL
hr_HR
hu_HU
id_ID
it_IT
ja_JP
ka_GE
ko_KR
lt_LT
mk_MK
ms_MY
nb_NO
nl_NL
pl_PL
pt_BR
pt_PT
ro_RO
ru_RU
sk_SK
sl_SI
sq_AL
sr_RS
sv_SE
th_TH
tr_TR
uk_UA
zh_CN
zh_TW;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10.;
      TABLE
Data all, ar_AR
az_AZ
bg_BG
bn_IN
ca_ES
cs_CZ
da_DK
de_DE
el_GR
en_GB
en_PI
en_US
es_ES
es_LA
fa_IR
fi_FI
fr_CA
fr_FR
he_IL
hr_HR
hu_HU
id_ID
it_IT
ja_JP
ka_GE
ko_KR
lt_LT
mk_MK
ms_MY
nb_NO
nl_NL
pl_PL
pt_BR
pt_PT
ro_RO
ru_RU
sk_SK
sl_SI
sq_AL
sr_RS
sv_SE
th_TH
tr_TR
uk_UA
zh_CN
zh_TW
      / BOX="20 Lifetime Likes by Language";
RUN;

/******************************************************************/
/* 21 COPERTURA TOTALE DELLA PAGINA PER ETA' E GENERE SETTIMANALE */
/******************************************************************/

TITLE3 "#21 Settimanale: copertura totale della Pagina per età e genere. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.we_reachdemo_21_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Weekly Reach Demographics";
RUN;


proc TABULATE data=facebook.we_reachdemo_21_&suff format=comma10. ;
CLASS Data;
VAR F_13_17 F_18_24 F_25_34 F_35_44 F_45_54 F_55_64 F_65_ M_13_17 M_18_24 M_25_34 M_35_44 M_45_54 M_55_64 M_65_
	U_13_17 U_18_24 U_25_34 U_35_44 U_45_54 U_55_64 U_65_;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10.;
LABEL F_13_17="F 13-17" F_18_24="F 18-24" F_25_34="F 25-34" F_35_44="F 35-44" F_45_54="F 45-54" F_55_64="F 55-64" F_65_="F 65+"
      M_13_17="M 13-17" M_18_24="M 18-24" M_25_34="M 25-34" M_35_44="M 35-44" M_45_54="M 45-54" M_55_64="M 55-64" M_65_="M 65+"
      U_13_17="U 13-17" U_18_24="U 18-24" U_25_34="U 25-34" U_35_44="U 35-44" U_45_54="U 45-54" U_55_64="U 55-64" U_65_="U 65+"; 
      TABLE
      Data all, F_13_17*f=comma10. F_18_24*f=comma10. F_25_34*f=comma10. F_35_44*f=comma10. F_45_54*f=comma10. F_55_64*f=comma10. F_65_*f=comma10. 
      			M_13_17*f=comma10. M_18_24*f=comma10. M_25_34*f=comma10. M_35_44*f=comma10. M_45_54*f=comma10. M_55_64*f=comma10. M_65_*f=comma10.
				U_13_17*f=comma10. U_18_24*f=comma10. U_25_34*f=comma10. U_35_44*f=comma10. U_45_54*f=comma10. U_55_64*f=comma10. U_65_*f=comma10.
      / BOX="21 Weekly Reach Demographics";
RUN;


/**********************************************************/
/* 22 COPERTURA TOTALE DELLA PAGINA PER PAESE SETTIMANALE */
/**********************************************************/

TITLE3 "#22 Settimanale: copertura totale della Pagina per Paese dell'utente. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.we_reachcount_22_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Weekly Reach by Country";
RUN;

PROC MEANS DATA=facebook.we_reachcount_22_&suff;
RUN;

proc TABULATE data=facebook.we_reachcount_22_&suff format=comma10.;
  CLASS Data;
  VAR AR AT AU BD BE BG BR CA CH CL CN CO CZ DE DZ EC EG ES FR GB GR HU ID IE IN IT JP MA MD MK MT MX NL NO PE PH PL PT RO RS RU SE SM TH TN TR UA US;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
LABEL  
%inc percorso(etichette-paesi.txt);
 ;
FORMAT Data DDMMYY10.;
      TABLE
      Data all, AR AT AU BD BE BG BR CA CH CL CN CO CZ DE DZ EC EG ES FR GB GR HU ID IE IN IT JP MA MD MK MT MX NL NO PE PH PL PT RO RS RU SE SM TH TN TR UA US  
      / BOX="22 Weekly Reach by Country";
RUN;


/**********************************************************/
/* 23 COPERTURA TOTALE DELLA PAGINA PER CITTà SETTIMANALE */
/**********************************************************/

TITLE3 "#23 Settimanale: copertura totale della Pagina per città degli utenti. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.we_reachcity_23_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Weekly Reach by City";
RUN;

proc TABULATE data=facebook.we_reachcity_23_&suff format=comma10. ;
CLASS Data;
VAR 
Ancona__Marche Bari__Puglia Bologna__Emilia_Romagna Borgo_Maggiore__Emilia_Romagna Brescia__Lombardia Cattolica__Emilia_Romagna
Cervia__Emilia_Romagna Cesena__Emilia_Romagna Cesenatico__Emilia_Romagna Coriano__Emilia_Romagna Domagnano__Emilia_Romagna
Faenza__Emilia_Romagna Fano__Marche Ferrara__Emilia_Romagna Firenze__Toscana Genova__Liguria Londra__Inghilterra__Regno_Unito
Milano__Lombardia Misano_Adriatico__Emilia_Romagna Modena__Emilia_Romagna Montescudo__Emilia_Romagna Morciano_di_Romagna__Emilia_Roma
Napoli__Campania Novafeltria__Emilia_Romagna Padova__Veneto Palermo Parma__Emilia_Romagna Pesaro__Marche Pesaro_e_Urbino__Marche
Poggio_Berni__Emilia_Romagna Ravenna__Emilia_Romagna Riccione__Emilia_Romagna Rimini__Emilia_Romagna Roma__Lazio
San_Clemente__Emilia_Romagna San_Giovanni_in_Marignano__Emili San_Mauro_Pascoli__Emilia_Romagn Santarcangelo__Emilia_Romagna Santarcangelo_di_Romagna__Emilia
Savignano_sul_Rubicone__Emilia_R Tirana__Prefettura_di_Tirana__Al Torino__Piemonte Venezia__Veneto Vergiano__Emilia_Romagna
Verona__Veneto Verucchio__Emilia_Romagna Villa_Verucchio__Emilia_Romagna Viserba__Emilia_Romagna
;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
LABEL Ancona__Marche="Ancona" Bari__Puglia="Bari" Bologna__Emilia_Romagna="Bologna" Borgo_Maggiore__Emilia_Romagna="Borgo Maggiore" Brescia__Lombardia="Brescia" Cattolica__Emilia_Romagna="Cattolica"
Cervia__Emilia_Romagna="Cervia" Cesena__Emilia_Romagna="Cesena" Cesenatico__Emilia_Romagna="Cesenatico" Coriano__Emilia_Romagna="Coriano" Domagnano__Emilia_Romagna="Domagnano"
Faenza__Emilia_Romagna="Faenza" Fano__Marche="Fano" Ferrara__Emilia_Romagna="Ferrara" Firenze__Toscana="Firenze" Genova__Liguria="Genova" Londra__Inghilterra__Regno_Unito="Londra"
Milano__Lombardia="Milano" Misano_Adriatico__Emilia_Romagna="Misano A." Modena__Emilia_Romagna="Modena" Montescudo__Emilia_Romagna="Montescudo" Morciano_di_Romagna__Emilia_Roma="Morciano"
Napoli__Campania="Napoli" Novafeltria__Emilia_Romagna="Novafeltria" Padova__Veneto="Padova" Palermo="Palermo" Parma__Emilia_Romagna="Parma" Pesaro__Marche Pesaro_e_Urbino__Marche="Pesaro"
Poggio_Berni__Emilia_Romagna="Poggio Berni" Ravenna__Emilia_Romagna="Ravenna"  Riccione__Emilia_Romagna="Riccione" Rimini__Emilia_Romagna="Rimini" Roma__Lazio="Roma"
San_Clemente__Emilia_Romagna="San Clemente" San_Giovanni_in_Marignano__Emili="San Giovanni in M." San_Mauro_Pascoli__Emilia_Romagn="San Mauro Pascoli" Santarcangelo__Emilia_Romagna="Santarcangelo R." Santarcangelo_di_Romagna__Emilia="Santarcangelo di R."
Savignano_sul_Rubicone__Emilia_R="Savignano sul R."  Tirana__Prefettura_di_Tirana__Al="Tirana" Torino__Piemonte="Torinio" Venezia__Veneto="Venezia" Vergiano__Emilia_Romagna="Vergiano"
Verona__Veneto="Verona" Verucchio__Emilia_Romagna="Veruccio" Villa_Verucchio__Emilia_Romagna="Villa Verucchio" Viserba__Emilia_Romagna="Viserba";
FORMAT Data DDMMYY10.;
      TABLE
      Data all, Ancona__Marche Bari__Puglia Bologna__Emilia_Romagna Borgo_Maggiore__Emilia_Romagna Brescia__Lombardia Cattolica__Emilia_Romagna
Cervia__Emilia_Romagna Cesena__Emilia_Romagna Cesenatico__Emilia_Romagna  Coriano__Emilia_Romagna Domagnano__Emilia_Romagna
Faenza__Emilia_Romagna Fano__Marche Ferrara__Emilia_Romagna Firenze__Toscana  Genova__Liguria Londra__Inghilterra__Regno_Unito
Milano__Lombardia Misano_Adriatico__Emilia_Romagna Modena__Emilia_Romagna Montescudo__Emilia_Romagna Morciano_di_Romagna__Emilia_Roma
Napoli__Campania Novafeltria__Emilia_Romagna Padova__Veneto Palermo Parma__Emilia_Romagna Pesaro__Marche Pesaro_e_Urbino__Marche
Poggio_Berni__Emilia_Romagna Ravenna__Emilia_Romagna  Riccione__Emilia_Romagna Rimini__Emilia_Romagna Roma__Lazio
San_Clemente__Emilia_Romagna San_Giovanni_in_Marignano__Emili San_Mauro_Pascoli__Emilia_Romagn Santarcangelo__Emilia_Romagna Santarcangelo_di_Romagna__Emilia
Savignano_sul_Rubicone__Emilia_R  Tirana__Prefettura_di_Tirana__Al Torino__Piemonte Venezia__Veneto Vergiano__Emilia_Romagna
Verona__Veneto Verucchio__Emilia_Romagna Villa_Verucchio__Emilia_Romagna Viserba__Emilia_Romagna
      / BOX="23 Weekly Reach by City";
RUN;


/***********************************************************/
/* 24 COPERTURA TOTALE DELLA PAGINA PER LINGUA SETTIMANALE */
/***********************************************************/

TITLE3 "#24 Settimanale: la copertura totale della Pagina per lingua selezionata dall'utente. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.we_reach_lang_24_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Weekly Reach by Language";
RUN;
/*
proc means data=facebook.we_reach_lang_24_&suff; Run;
*/
proc TABULATE data=facebook.we_reach_lang_24_&suff format=comma10. ;
CLASS Data;
VAR
ar_AR 
af_ZA
bg_BG
bn_IN
ca_ES
cs_CZ
da_DK
de_DE
el_GR
en_GB
en_PI
en_US
es_ES
es_LA
fa_IR
fi_FI
fr_CA
fr_FR
he_IL
hr_HR
hu_HU
id_ID
it_IT
ja_JP
ka_GE
ko_KR
lt_LT
mk_MK
ms_MY
nb_NO
nl_NL
pl_PL
pt_BR
pt_PT
ro_RO
ru_RU
sk_SK
sl_SI
sq_AL
sr_RS
sv_SE
th_TH
tr_TR
uk_UA
zh_CN
zh_TW;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10.;
      TABLE
      Data all, ar_AR
af_ZA
bg_BG
bn_IN
ca_ES
cs_CZ
da_DK
de_DE
el_GR
en_GB
en_PI
en_US
es_ES
es_LA
fa_IR
fi_FI
fr_CA
fr_FR
he_IL
hr_HR
hu_HU
id_ID
it_IT
ja_JP
ka_GE
ko_KR
lt_LT
mk_MK
ms_MY
nb_NO
nl_NL
pl_PL
pt_BR
pt_PT
ro_RO
ru_RU
sk_SK
sl_SI
sq_AL
sr_RS
sv_SE
th_TH
tr_TR
uk_UA
zh_CN
zh_TW
      / BOX="24 Weekly Reach by Language";
RUN;


/**********************************************************************/
/* 25 NUMERO DI PERSONE CHE PARLANO DELLA PAGINA PER UTENTE AL GIORNO */
/**********************************************************************/
TITLE3 "#25 Al giorno: il numero di persone che parlano della Pagina per età e genere (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_demo_peop_25_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Demographics People Ta...";
RUN;
/* proc means data=facebook.day_demographic_people_25; Run; */

proc TABULATE data=facebook.day_demo_peop_25_&suff ;
CLASS Data;
VAR F_13_17 F_18_24 F_25_34 F_35_44 F_45_54 F_55_64 F_65_ M_13_17 M_18_24 M_25_34 M_35_44 M_45_54 M_55_64 M_65_
	U_13_17 U_18_24 U_25_34 U_35_44 U_45_54 U_55_64 U_65_;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10.;
LABEL F_13_17="F 13-17" F_18_24="F 18-24" F_25_34="F 25-34" F_35_44="F 35-44" F_45_54="F 45-54" F_55_64="F 55-64" F_65_="F 65+"
      M_13_17="M 13-17" M_18_24="M 18-24" M_25_34="M 25-34" M_35_44="M 35-44" M_45_54="M 45-54" M_55_64="M 55-64" M_65_="M 65+"
      U_13_17="U 13-17" U_18_24="U 18-24" U_25_34="U 25-34" U_35_44="U 35-44" U_45_54="U 45-54" U_55_64="U 55-64" U_65_="U 65+"; 
      TABLE
      Data all, F_13_17*f=comma10. F_18_24*f=comma10. F_25_34*f=comma10. F_35_44*f=comma10. F_45_54*f=comma10. F_55_64*f=comma10. F_65_*f=comma10. 
      			M_13_17*f=comma10. M_18_24*f=comma10. M_25_34*f=comma10. M_35_44*f=comma10. M_45_54*f=comma10. M_55_64*f=comma10. M_65_*f=comma10.
				U_13_17*f=comma10. U_18_24*f=comma10. U_25_34*f=comma10. U_35_44*f=comma10. U_45_54*f=comma10. U_55_64*f=comma10. U_65_*f=comma10.
      / BOX="25 Daily Demographics People Talking";
RUN;

/******************************************************************************/
/* 26 NUMERO DI PERSONE CHE PARLANO DELLA PAGINA PER ETA E GENERE SETTIMANALE */
/******************************************************************************/
TITLE3 "#26 Settimanale: il numero di persone che parlano della Pagina suddivise per età e genere. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.we_demo_people_26_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Weekly Demographics People T...";
RUN;

proc TABULATE data=facebook.we_demo_people_26_&suff ;
CLASS Data;
VAR F_13_17 F_18_24 F_25_34 F_35_44 F_45_54 F_55_64 F_65_ M_13_17 M_18_24 M_25_34 M_35_44 M_45_54 M_55_64 M_65_
	U_13_17 U_18_24 U_25_34 U_35_44 U_45_54 U_55_64 U_65_;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10.;
LABEL F_13_17="F 13-17" F_18_24="F 18-24" F_25_34="F 25-34" F_35_44="F 35-44" F_45_54="F 45-54" F_55_64="F 55-64" F_65_="F 65+"
      M_13_17="M 13-17" M_18_24="M 18-24" M_25_34="M 25-34" M_35_44="M 35-44" M_45_54="M 45-54" M_55_64="M 55-64" M_65_="M 65+"
      U_13_17="U 13-17" U_18_24="U 18-24" U_25_34="U 25-34" U_35_44="U 35-44" U_45_54="U 45-54" U_55_64="U 55-64" U_65_="U 65+"; 
      TABLE
      Data all, F_13_17*f=comma10. F_18_24*f=comma10. F_25_34*f=comma10. F_35_44*f=comma10. F_45_54*f=comma10. F_55_64*f=comma10. F_65_*f=comma10. 
      			M_13_17*f=comma10. M_18_24*f=comma10. M_25_34*f=comma10. M_35_44*f=comma10. M_45_54*f=comma10. M_55_64*f=comma10. M_65_*f=comma10.
				U_13_17*f=comma10. U_18_24*f=comma10. U_25_34*f=comma10. U_35_44*f=comma10. U_45_54*f=comma10. U_55_64*f=comma10. U_65_*f=comma10.
      / BOX="26 Weekly Demographics People Talking";
RUN;


/*****************************************************************/
/* 27 NUMERO DI PERSONE CHE PARLANO DELLA PAGINA PER ETA AL MESE */
/*****************************************************************/

TITLE3 "#27 28 giorni: il numero di persone che parlano della Pagina suddivise per età e genere. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day28_dem_peo_27_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="28 Days Demographics People...";
RUN;

proc TABULATE data=facebook.day28_dem_peo_27_&suff format=comma10.;
CLASS Data;
VAR F_13_17 F_18_24 F_25_34 F_35_44 F_45_54 F_55_64 F_65_ M_13_17 M_18_24 M_25_34 M_35_44 M_45_54 M_55_64 M_65_
	U_13_17 U_18_24 U_25_34 U_35_44 U_45_54 U_55_64 U_65_;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10.;
LABEL F_13_17="F 13-17" F_18_24="F 18-24" F_25_34="F 25-34" F_35_44="F 35-44" F_45_54="F 45-54" F_55_64="F 55-64" F_65_="F 65+"
      M_13_17="M 13-17" M_18_24="M 18-24" M_25_34="M 25-34" M_35_44="M 35-44" M_45_54="M 45-54" M_55_64="M 55-64" M_65_="M 65+"
      U_13_17="U 13-17" U_18_24="U 18-24" U_25_34="U 25-34" U_35_44="U 35-44" U_45_54="U 45-54" U_55_64="U 55-64" U_65_="U 65+"; 
      TABLE
      Data all, F_13_17 F_18_24 F_25_34 F_35_44 F_45_54 F_55_64 F_65_ M_13_17 M_18_24 M_25_34 M_35_44 M_45_54 M_55_64 M_65_
	U_13_17 U_18_24 U_25_34 U_35_44 U_45_54 U_55_64 U_65_
      / BOX="27 28 Days Demographics People Talking";
RUN;


/*********************************************************************/
/* 28 NUMERO DI PERSONE CHE PARLANO DELLA PAGINA PER PAESE AL GIORNO */
/*********************************************************************/
TITLE3 "#28 Al giorno: il numero di persone che parlano della Pagina suddivise per Paese (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.dc_people_talk_28_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Country People Talking...";
RUN;

/*
proc means data=facebook.dc_people_talk_28_&suff;
Run;
*/

proc TABULATE data=facebook.dc_people_talk_28_&suff format=comma10.;
  CLASS Data;
  VAR 
AE
AF
AL
AR
AT
AU
AZ
BA
BB
BD
BE
BF
BG
BJ
BO
BR
BY
CA
CH
CI
CL
CM
CN
CO
CR
CU
CV
CZ
DE
DK
DO
DZ
EC
EE
EG
ES
FI
FR
GB
GE
GH
GN
GR
GT
HK
HR
HU
ID
IE
IL
IN
IQ
IR
IS
IT
JO
JP
KE
KH
LB
LK
LR
LT
LU
LV
LY
MA
MC
MD
ME
MK
MM
MN
MT
MU
MV
MX
MY
NG
NL
NO
NP
NZ
OM
PA
PE
PH
PK
PL
PR
PT
PY
QA
RO
RS
RU
SA
SE
SG
SI
SK
SM
SN
SV
SY
TH
TN
TR
TW
TZ
UA
US
UY
VE
VN
XK
ZA
ZM
;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
LABEL  
%inc percorso(etichette-paesi.txt);
 ;
FORMAT Data DDMMYY10.;
      TABLE
Data all, 
AE
AF
AL
AR
AT
AU
AZ
BA
BB
BD
BE
BF
BG
BJ
BO
BR
BY
CA
CH
CI
CL
CM
CN
CO
CR
CU
CV
CZ
DE
DK
DO
DZ
EC
EE
EG
ES
FI
FR
GB
GE
GH
GN
GR
GT
HK
HR
HU
ID
IE
IL
IN
IQ
IR
IS
IT
JO
JP
KE
KH
LB
LK
LR
LT
LU
LV
LY
MA
MC
MD
ME
MK
MM
MN
MT
MU
MV
MX
MY
NG
NL
NO
NP
NZ
OM
PA
PE
PH
PK
PL
PR
PT
PY
QA
RO
RS
RU
SA
SE
SG
SI
SK
SM
SN
SV
SY
TH
TN
TR
TW
TZ
UA
US
UY
VE
VN
XK
ZA
ZM
/ BOX="28 Daily Country People Talking";
RUN;

/**************************************************************************/
/* 29 NUMERO DI PERSONE CHE PARLANO DELLA PAGINA PER PAESE ALLA SETTIMANA */
/**************************************************************************/

TITLE3 "#29 Settimanale: il numero di persone che parlano della Pagina suddivise per Paese (Utenti unici)";

PROC IMPORT DATAFILE="&page"
		    OUT=facebook.wc_people_talk_29_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Weekly Country People Talkin...";
RUN;


/**************************************************************************/
/* 30 NUMERO DI PERSONE CHE PARLANO DELLA PAGINA PER PAESE AL MESE        */
/**************************************************************************/
TITLE3 "#30 28 giorni: il numero di persone che parlano della Pagina suddivise per Paese (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.28dc_people_talk_30_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="28 Days Country People Talki...";
RUN;

/**************************************************************************/
/* 31 NUMERO DI PERSONE CHE PARLANO DELLA PAGINA PER CITTA'               */
/**************************************************************************/
TITLE3 "#31 Al giorno: il numero di persone che parlano della Pagina suddivise per città. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.dc_people_talk_31_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily City People Talking Ab...";
RUN;
proc means data=facebook.dc_people_talk_31_&suff; Run;

proc TABULATE data=facebook.dc_people_talk_31_&suff format=comma10. ;
CLASS Data;
VAR 
%inc percorso("variabilicitta.txt");
;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
LABEL 
%inc percorso("etichette-citta.txt");
;
FORMAT Data DDMMYY10.;
      TABLE
Data all, 
VAR3
VAR4
Abbiategrasso__Lombardia
Abidjan__Regione_delle_Lagune__C
Abomey_Calavi__Dipartimento_dell
Accra__Regione_della_Grande_Accr
Acqui_Terme__Piemonte
Adelaide__Australia_Meridionale_
Adria__Veneto
Agnadello__Lombardia
Agrate_Conturbia__Piemonte
Agrigento
Agua_Prieta__Sonora
Aiello_del_Sabato__Campania
VAR17
Alba_Adriatica__Abruzzo
VAR19
Albignasego__Veneto
VAR21
Alcamo
Alessandria__Piemonte
Alessano__Puglia
VAR25
Alfero__Emilia_Romagna
Alfonsine__Emilia_Romagna
Altavilla_Irpina__Campania
Altedo__Emilia_Romagna
Amsterdam__Olanda_Settentrionale
Ancona__Marche
Andria__Puglia
Anversa__Belgio
Anzio__Lazio
Apice__Campania
Aquisgrana__Germania
VAR37
Arcevia__Marche
Arenillas__El_Oro_Province
Arezzo__Toscana
Ariano_Irpino__Campania
Ascea__Campania
Assisi__Umbria
Asti__Piemonte
VAR45
VAR46
Atri__Abruzzo
Atton__Francia
Aubevoye__Haute_Normandie
VAR50
Avellino__Campania
Aversa__Campania
Avezzano__Abruzzo
VAR54
Azzano__Veneto
Badia_Polesine__Veneto
Badia_Tedalda__Toscana
Bagnacavallo__Emilia_Romagna
Bagni_di_Lucca__Toscana
Bagno_di_Romagna__Emilia_Romagna
Bagnolo_Mella__Lombardia
Bagnoregio__Lazio
Baku__Azerbaigian
Barberino_di_Mugello__Toscana
Barcellona__Catalogna__Spagna
Bari__Puglia
Barile__Basilicata
Barletta__Puglia
Bassano_del_Grappa__Veneto
VAR70
VAR71
VAR72
Bellinzona__Canton_Ticino__Svizz
Belo_Horizonte__Minas_Gerais__Br
Benevento__Campania
Bergamo__Lombardia
Berlino__Germania
Berna__Canton_Berna__Svizzera
Berra__Emilia_Romagna
Bertinoro__Emilia_Romagna
Besozzo__Lombardia
Bibbona__Toscana
Bielefeld__Nordrhein_Westfalen
Birmingham__Inghilterra__Regno_U
Bitonto__Puglia
Boca_Chica__Santo_Domingo_Provin
VAR87
Bologna__Emilia_Romagna
Bolzano__Trentino_Alto_Adige
Bonate_di_Sopra__Lombardia
Borgo_Maggiore__Emilia_Romagna
Borgo_San_Lorenzo__Toscana
Borgomanero__Piemonte
Bormio__Lombardia
Bosaro__Veneto
Boulange__Lorraine
Bracciano__Lazio
Bratislava__Regione_di_Bratislav
VAR99
Brescia__Lombardia
Breslavia__Voivodato_della_Bassa
Bridgetown__Saint_Michael__Barba
VAR103
Brindisi__Puglia
Brisbane__Queensland__Australia
Brisighella__Emilia_Romagna
Bristol__Inghilterra__Regno_Unit
Bronte
Bucarest__Romania
Buccino__Campania
Budapest__Ungheria
Budrio__Emilia_Romagna
Buenos_Aires__Argentina
VAR114
Busseto__Emilia_Romagna
Busto_Arsizio__Lombardia
VAR117
Cabo_Frio__Rio_de_Janeiro__stato
Caccuri__Calabria
Cadoneghe__Veneto
Cagliari__Sardegna
Caivano__Campania
Calolziocorte__Lombardia
Cambiago__Lombardia
Camparada__Lombardia
Campitello__Trentino_Alto_Adige
Campobasso__Molise
Canosa_di_Puglia__Puglia
VAR129
Cantalice__Lazio
Capo_d_Orlando
Capoliveri__Toscana
Caprarola__Lazio
Capua__Campania
Caracas__Distretto_Capitale__Ven
Carpi__Emilia_Romagna
VAR137
Carugate__Lombardia
Casablanca__Grande_Casablanca__M
Casalbordino__Abruzzo
Casale_Monferrato__Piemonte
Casalecchio_di_Reno__Emilia_Roma
Casalgrande__Emilia_Romagna
Casalpusterlengo__Lombardia
Casatenovo__Lombardia
Casavatore__Campania
Cascina__Toscana
Caserta__Campania
Casilda__Santa_Fe__Argentina
Casirate_d_Adda__Lombardia
Cassinetta_di_Lugagnano__Lombard
Castel_Giorgio__Umbria
Castel_Guelfo_di_Bologna__Emilia
Castel_Rozzone__Lombardia
VAR155
Castelfranco_Emilia__Emilia_Roma
Castelfranco_Veneto__Veneto
Castellalto__Abruzzo
Castellammare_di_Stabia__Campani
Castellarano__Emilia_Romagna
Castellaro_Lagusello__Lombardia
Castelplanio__Marche
Castelraimondo__Marche
Casteltermini
Castiglione_dei_Pepoli__Emilia_R
Castiglione_del_Lago__Umbria
Castiraga_Vidardo__Lombardia
Castrocaro_Terme_e_Terra_del_Sol
Catania
Catanzaro__Calabria
Cattolica__Emilia_Romagna
Cavenago_d_Adda__Lombardia
Celle_Ligure__Liguria
Cento__Emilia_Romagna
Ceranesi__Liguria
Cerasolo__Emilia_Romagna
Cercino__Lombardia
Cerveteri__Lazio
Cervia__Emilia_Romagna
Cesena__Emilia_Romagna
Cesenatico__Emilia_Romagna
VAR182
VAR183
Charleroi__Vallonia__Belgio
VAR185
VAR186
Chiari__Lombardia
Chiavenna__Lombardia
Chiesanuova__Chiesanuova
Cigliano__Piemonte
Cingoli__Marche
Cinisello_Balsamo__Lombardia
Ciserano__Lombardia
Cisternino__Puglia
VAR195
VAR196
VAR197
Civitanova_Marche__Marche
Classe_Fuori__Emilia_Romagna
VAR200
Codogno__Lombardia
Collalbo__Trentino_Alto_Adige
Colle_Val_d_Elsa__Tuscany
Collecchio__Emilia_Romagna
Colle_di_Val_d_Elsa__Toscana
Collegno__Piemonte
Collofedo_di_Monte_Albano__Friul
Cologno_Monzese__Lombardia
Colonia__Germania
Colorno__Emilia_Romagna
Comacchio__Emilia_Romagna
Comas__Lima_Region
Como__Lombardia
Conakry__Guinea
Corato__Puglia
Corciano__Umbria
Cordovado__Friuli_Venezia_Giulia
Coriano__Emilia_Romagna
Cork__Contea_di_Cork__Irlanda
Cornaredo__Lombardia
VAR221
Correggio__Emilia_Romagna
Corropoli__Abruzzo
Corteolona__Lombardia
Cosenza__Calabria
VAR226
Cossano_Canavese__Piemonte
Cotonou__Dipartimento_del_Litora
Cremona__Lombardia
Cuneo__Piemonte
VAR231
Dacca__Divisione_di_Dacca__Bangl
Dervio__Lombardia
Desenzano_del_Garda__Lombardia
Deventer__Overijssel__Paesi_Bass
Domagnano__Emilia_Romagna
Dozza__Emilia_Romagna
Drammen__Buskerud__Norvegia
Dublino__Irlanda
Edimburgo__Scozia__Regno_Unito
Edolo__Lombardia
VAR242
Elmas__Sardegna
VAR244
Erden__Montana_Province
VAR246
Espoo__Uusimaa__Finlandia
VAR248
VAR249
Fabbrico__Emilia_Romagna
Fabriano__Marche
Faenza__Emilia_Romagna
Faetano__Emilia_Romagna
Fanano__Emilia_Romagna
Fano__Marche
Feltre__Veneto
Fermo__Marche
Ferrara__Emilia_Romagna
Fidenza__Emilia_Romagna
Filottrano__Marche
Finale_Emilia__Emilia_Romagna
Fiorentino__Emilia_Romagna
Firenze__Toscana
Foggia__Puglia
VAR265
Foligno__Umbria
Fombio__Lombardia
Fontanellato__Emilia_Romagna
Forbach__Francia
VAR270
VAR271
Forlimpopoli__Emilia_Romagna
Formia__Lazio
Fornovo_di_Taro__Emilia_Romagna
Fort_Myers__Florida__Stati_Uniti
Forte_dei_Marmi__Toscana
Fossombrone__Marche
Francavilla_al_Mare__Abruzzo
Francoforte_sul_Meno__Assia__Ger
Francolise__Campania
Fratta__Emilia_Romagna
Frattamaggiore__Campania
Friburgo__Svizzera
Fucecchio__Toscana
Fukuoka_shi__Fukuoka_Prefecture
Fulgazi__Chittagong_Division
VAR287
VAR288
Gabicce_Mare__Marche
Gaggio_Montano__Emilia_Romagna
Gaillon__Francia
Gallarate__Lombardia
Gallipoli__Puglia
Galway__Irlanda
Gambettola__Emilia_Romagna
VAR296
Gangi__Sicilia
VAR298
Gattatico__Emilia_Romagna
Gatteo__Emilia_Romagna
VAR301
Gemmano__Emilia_Romagna
Genova__Liguria
Gerano__Lazio
Ghetto__Emilia_Romagna
Ginevra__Canton_Ginevra__Svizzer
Ginosa__Puglia
Giulianova__Abruzzo
Giussano__Lombardia
Gloucester__Inghilterra__Regno_U
Gogdara__Khyber_Pakhtunkhwa
Gold_Coast__Queensland__Australi
Gradara__Marche
VAR314
VAR315
Graz__Stiria__Austria
Greensboro__Carolina_del_Nord__S
Grenoble__Francia
Gropello_Cairoli__Lombardia
Grosseto__Toscana
Grottaferrata__Lazio
Gstaad__Canton_Berna__Svizzera
VAR323
Gualdo_Tadino__Umbria
Guardamiglio__Lombardia
Guelph__Ontario__Canada
Hanoi__Vietnam
Haucourt_Moulaine__Lorraine
VAR329
Hermosa__Luzon_Centrale__Filippi
Herten__Germania
Hong_Kong__Hong_Kong
VAR333
Huntington_Beach__California__St
Ibadan__Oyo__Nigeria
Igea_Marina__Emilia_Romagna
Il_Cairo__Governatorato_del_Cair
Imola__Emilia_Romagna
Induno_Olona__Lombardia
VAR340
Intra__Piedmont
Istanbul__Provincia_di_Istanbul_
Ivrea__Piemonte
Jesi__Marche
VAR345
Kaatsheuvel__Brabante_Settentrio
Kamenets_Podolski__Khmelnytskyi
Kathu__Phuket
VAR349
Kent__England
VAR351
Kiev__Ucraina
Kiruna__Contea_di_Norrbotten__Sv
Kotka__Kymenlaakso__Finlandia
L_Aquila__Abruzzo
La_Lucila__Buenos_Aires
Lacchiarella__Lombardia
Lagosanto__Emilia_Romagna
Lainate__Lombardia
Lake_Lanier_Vista__Georgia
VAR361
Latiano__Puglia
Latina__Lazio
VAR364
VAR365
Lecce__Puglia
Legnano__Lombardia
Lendinara__Veneto
Lentini
Lesina__Puglia
Lessen__Wallonia
Lido_Adriano__Emilia_Romagna
Liegi__Vallonia__Belgio
Lighthouse_Point__Florida__Stati
VAR375
VAR376
Linz__Alta_Austria__Austria
Lione__Francia
Lissone__Lombardia
Livigno__Lombardia
Livorno__Toscana
Locate_Varesino__Lombardia
Lodi__Lombardia
Londra__Inghilterra__Regno_Unito
Long_Beach__California__Stati_Un
Longiano__Emilia_Romagna
Lorient__Francia
Los_Angeles__California__Stati_U
Losanna__Canton_Vaud__Svizzera
Losone__Canton_Ticino__Svizzera
Lubiana__Slovenia_Centrale__Slov
Lucca__Toscana
VAR393
Lugano__Canton_Ticino__Svizzera
Lugo__Emilia_Romagna
VAR396
VAR397
Lungavilla__Lombardia
Lurisia__Piedmont
VAR400
VAR401
VAR402
Maglie__Puglia
Magnacavallo__Lombardia
Maidenhead__Inghilterra__Regno_U
Maiolo__Emilia_Romagna
Mambrui__Coast_Province
Mandello_del_Lario__Lombardia
Manfredonia__Puglia
Mantova__Lombardia
Maranello__Emilia_Romagna
Marano_sul_Panaro__Emilia_Romagn
Mar_del_Plata__Provincia_di_Buen
Maribor__Oltredrava__Slovenia
Marina_di_Andora__Liguria
Marina_di_Massa__Tuscany
Marina_di_Ravenna__Emilia_Romagn
VAR418
VAR419
Marotta__Marche
VAR421
Martigues__Francia
Martina_Franca__Puglia
Mascali
Mascate__Governatorato_di_Mascat
Massa__Toscana
Matelica__Marche
VAR428
Meda__Lombardia
VAR430
VAR431
Melito_di_Napoli__Campania
Mendoza__Provincia_di_Mendoza__A
Merano__Trentino_Alto_Adige
Mercato_Saraceno__Emilia_Romagna
Messina
Mestrino__Veneto
Mezzolombardo__Trentino_Alto_Adi
Milano__Lombardia
Milano_Marittima__Emilia_Romagna
Milwaukee__Wisconsin__Stati_Unit
Minori__Campania
Minsk__Bielorussia
Mirandola__Emilia_Romagna
Misano_Adriatico__Emilia_Romagna
Mississauga__Ontario__Canada
Modena__Emilia_Romagna
Modica
Modugno__Puglia
Molinella__Emilia_Romagna
Monaco_di_Baviera__Baviera__Germ
Monastir__Governatorato_di_Monas
Moncalieri__Piemonte
Monghidoro__Emilia_Romagna
Monrovia__Contea_di_Montserrado_
Mons__Vallonia__Belgio
Monselice__Veneto
Montaldeo__Piemonte
Montanaro__Piemonte
Montecchio_Emilia__Emilia_Romagn
Montefiore_Conca__Emilia_Romagna
Montemiletto__Campania
Montescudo__Emilia_Romagna
Montesilvano__Abruzzo
Montesilvano_Marina__Abruzzo
Montespertoli__Toscana
Montevideo__Dipartimento_di_Mont
Montichiari__Lombardia
Monza__Lombardia
Morciano_di_Romagna__Emilia_Roma
Mosca__Russia
Mostar__Bosnia_ed_Erzegovina
Mouscron__Vallonia__Belgio
VAR474
Napoli__Campania
Nettuno__Lazio
Neviano_degli_Arduini__Emilia_Ro
VAR478
Nizza__Francia
Nocera_Superiore__Campania
Nogara__Veneto
Nola__Campania
Nonantola__Emilia_Romagna
Novafeltria__Emilia_Romagna
Novellara__Emilia_Romagna
Nyborg__Region_of_Southern_Denma
Oakham__Inghilterra__Regno_Unito
Offagna__Marche
Oggiono__Lombardia
Olbia__Sardegna
Oldenburg__Germania
Oleggio_Castello__Piemonte
Olgiate_Comasco__Lombardia
Olivone__Canton_Ticino__Svizzera
Omegna__Piemonte
Onerahi__Northland_Region
Opera__Lombardia
Orbassano__Piemonte
Osaka__Prefettura_di_Osaka__Giap
Oslo__Norvegia
Ospedaletto__Emilia_Romagna
Ospitaletto__Lombardia
VAR503
Padova__Veneto
Pagnona__Lombardia
Palermo
Panettieri__Calabria
Paola__Calabria
Parigi__Francia
Parma__Emilia_Romagna
VAR511
Paterno__Sicilia
Patrasso__Grecia_Occidentale__Gr
Pavia__Lombardia
VAR515
Pegognaga__Lombardia
Pekanbaru__Riau__Indonesia
Pennabilli__Emilia_Romagna
VAR519
Perugia__Umbria
Pesaro__Marche
Pesaro_e_Urbino__Marche
Pescantina__Veneto
Pescara__Abruzzo
VAR525
Pettineo
Piacenza__Emilia_Romagna
Piano_di_Follo__Liguria
Piasco__Piemonte
Piedimonte_Etneo
Pietracuta__Emilia_Romagna
Pietrasanta__Toscana
Pieve_di_Cento__Emilia_Romagna
Pieve_di_Soligo__Veneto
Pineto__Abruzzo
Pioltello__Lombardia
VAR537
Pisa__Toscana
Pistoia__Toscana
Pizzighettone__Lombardia
Poggio_Berni__Emilia_Romagna
Poggio_Renatico__Emilia_Romagna
Pollutri__Abruzzo
Pontassieve__Toscana
Ponte_San_Pietro__Lombardia
Ponte_di_Legno__Lombardia
Pontevico__Lombardia
Pordenone__Friuli_Venezia_Giulia
Portici__Campania
Portogruaro__Veneto
Potenza__Basilicata
Poviglio__Emilia_Romagna
VAR553
Prato__Toscana
Prato_allo_Stelvio__Trentino_Alt
Puerto_Vallarta__Jalisco__Messic
Quartu_Sant_Elena__Sardegna
Quattordio__Piemonte
Quezon_City__Regione_Capitale_Na
VAR560
Ravenna__Emilia_Romagna
Recanati__Marche
Recife__Pernambuco__Brasile
VAR564
Regione_di_Bruxelles_Capitale__B
Renens__Canton_Vaud__Svizzera
VAR567
Rescaldina__Lombardia
VAR569
VAR570
Rho__Lombardia
Riccione__Emilia_Romagna
Rieti__Lazio
Rigolato__Friuli_Venezia_Giulia
Rimini__Emilia_Romagna
Rio_de_Janeiro__Rio_de_Janeiro__
Riolo_Terme__Emilia_Romagna
Ripa_Teatina__Abruzzo
Rivabella__Emilia_Romagna
Rivarolo_Mantovano__Lombardia
Rivazzura__Emilia_Romagna
Riverview__Michigan__Stati_Uniti
Rocchetta_Sant_Antonio__Puglia
Rochester_Hills__Michigan__Stati
Rodi_Garganico__Puglia
Rohtak__Haryana__India
Roma__Lazio
Romano_Alto__Veneto
VAR589
Rosignano_Marittimo__Toscana
Rotterdam__Paesi_Bassi
Rovereto__Trentino_Alto_Adige
Rovito__Calabria
Rozzano__Lombardia
Rutigliano__Puglia
Sal_Rei__Boa_Vista__Capo_Verde
Sala_Consilina__Campania
Salonicco__Macedonia_Centrale__G
Salsomaggiore_Terme__Emilia_Roma
Saludecio__Emilia_Romagna
San_Benedetto_del_Tronto__Marche
VAR602
San_Biagio__Lombardia
San_Clemente__Emilia_Romagna
San_Colombano_al_Lambro__Lombard
San_Diego__California__Stati_Uni
San_Francisco__California__Stati
San_Genaro__Santa_Fe
San_Giovanni_Lupatoto__Veneto
San_Giovanni_Teatino__Abruzzo
San_Giovanni_in_Marignano__Emili
San_Giovanni_in_Persiceto__Emili
San_Giuliano__Emilia_Romagna
San_Giuliano__Malta
SanGiuliano_a_Mare__Emilia_Romag
San_Lazzaro_di_Savena__Emilia_Ro
San_Leo__Emilia_Romagna
San_Marco_dei_Cavoti__Campania
VAR619
San_Mauro_Pascoli__Emilia_Romagn
SanMauro_a_Mare__Emilia_Romagna
San_Paolo__Lombardia
San_Pietro_Vernotico__Puglia
San_Prisco__Campania
San_Salvo__Abruzzo
San_Savino__Marche
San_Terenzo__Liguria
VAR628
San_Vito_Rimini__Emilia_Romagna
San_Vito_al_Tagliamento__Friuli_
San_Vito_di_Cadore__Veneto
Sansepolcro__Toscana
VAR633
VAR634
VAR635
Sant_Angelo_Lodigiano__Lombardia
Sant_Angelo_dei_Lombardi__Campan
Sant_Egidio_alla_Vibrata__Abruzz
Sant_Elpidio_a_Mare__Marche
Santa_Bianca__Emilia_Romagna
Santa_Cesarea_Terme__Puglia
Santa_Fe__Argentina
Santa_Giustina__Emilia_Romagna
Santa_Venerina
Santarcangelo__Emilia_Romagna
Santarcangelo_di_Romagna__Emilia
Santeramo_in_Colle__Puglia
Santiago_del_Cile__Regione_Metro
Sarno__Campania
Sarzana__Liguria
Sassari__Sardegna
Sasso_Feltrio__Marche
Sasso_Marconi__Emilia_Romagna
Sassuolo__Emilia_Romagna
Savignano_sul_Rubicone__Emilia_R
Savona__Liguria
Scampitella__Campania
Scandiano__Emilia_Romagna
Scandicci__Toscana
Scarperia_e_San_Piero__Toscana
Schafisheim__Canton_Argovia__Svi
Sciaffusa__Svizzera
Scicli
Selvatelle__Tuscany
Senigallia__Marche
Senta__Serbia
Seregno__Lombardia
Sergnano__Lombardia
VAR669
Settimo_Milanese__Lombardia
Seveso__Lombardia
Siena__Toscana
VAR673
Siracusa
Siviglia__Andalusia__Spagna
VAR676
Skawina__Lesser_Poland_Voivodesh
VAR678
Sofia__Bulgaria
Solarolo__Emilia_Romagna
Soletta__Svizzera
Solto_Collina__Lombardia
Soriano_nel_Cimino__Lazio
Sortino
South_Milwaukee__Wisconsin__Stat
Soverato__Calabria
Soveria_Simeri__Calabria
Spinea__Veneto
Spoleto__Umbria
Spormaggiore__Trentino_Alto_Adig
VAR691
Stanghella__Veneto
VAR693
Stoccolma__Contea_di_Stoccolma_
Stony_Plain__Alberta
Strasburgo__Alsazia__Francia
Striano__Campania
Sustinente__Lombardia
Suvereto__Toscana
Sydney__Nuovo_Galles_del_Sud__Au
Szczyrzyc__Voivodato_della_Picco
VAR702
Tainan__Taiwan
Talamello__Emilia_Romagna
VAR705
Taranto__Puglia
Taurisano__Puglia
Taverna__Emilia_Romagna
Tavullia__Marche
Tenerife__Isole_Canarie__Spagna
Teramo__Abruzzo
Termini_Imerese
Ternate__Lombardia
Terni__Umbria
Terracina__Lazio
Terricciola__Toscana
VAR717
VAR718
Tirana__Prefettura_di_Tirana__Al
VAR720
Tlalnepantla_de_Comonfort__State
VAR722
Torino__Piemonte
Torre_Annunziata__Campania
Torre_Pedrera__Emilia_Romagna
Torriana__Emilia_Romagna
Trabia
Trecate__Piemonte
Trecchina__Basilicata
Trento__Trentino_Alto_Adige
Tres_Cantos__Comunidad_de_Madrid
Treviglio__Lombardia
Treviso__Veneto
Trieste__Friuli_Venezia_Giulia
Trikala__Grecia
Triuggio__Lombardia
Truccazzano__Lombardia
VAR738
Tunisi__Governatorato_di_Tunisi_
Udine__Friuli_Venezia_Giulia
Ulan_Bator__Mongolia
Umbertide__Umbria
Urbania__Marche
Urbino__Marche
Utrecht__Paesi_Bassi
VAR746
Valentano__Lazio
Valle_Lomellina__Lombardia
Vanderbijlpark__Gauteng__Sudafri
Varese__Lombardia
Vedelago__Veneto
Venaria_Reale__Piemonte
Venezia__Veneto
Vercelli__Piemonte
Vergiano__Emilia_Romagna
Verona__Veneto
Verucchio__Emilia_Romagna
Viano__Emilia_Romagna
Vibo_Valentia__Calabria
Vicenza__Veneto
Vico_del_Gargano__Puglia
Vigasio__Veneto
Vigevano__Lombardia
Vignate__Lombardia
Villa_General_Belgrano__Provinci
Villa_Verucchio__Emilia_Romagna
VAR767
VAR768
Vinchiaturo__Molise
Viserba__Emilia_Romagna
Viserbella__Emilia_Romagna
Voghera__Lombardia
Wakefield__Inghilterra__Regno_Un
Washington__Stati_Uniti_d_Americ
Wellfleet__Massachusetts__Stati
Woerden__Utrecht__Paesi_Bassi
VAR777
Yokohama__Prefettura_di_Kanagawa
Yorktown__Virginia__Stati_Uniti
VAR780
Zacharo__Grecia_Occidentale__Gre
Zapponeta__Puglia
Zola_Predosa__Emilia_Romagna
Zurigo__Canton_Zurigo__Svizzera
/ BOX="31 Daily City People Talking";
RUN;      

/**************************************************************************/
/* 32 NUMERO DI PERSONE CHE PARLANO DELLA PAGINA PER CITTA' ALLA SETTIMANA*/
/**************************************************************************/

TITLE3 "#32 Settimanale: il numero di persone che parlano della Pagina per città degli utenti. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.dc_people_talk_32_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily City People Talking Ab...";
RUN;

/**************************************************************************/
/* 33 NUMERO DI PERSONE CHE PARLANO DELLA PAGINA PER CITTA' AL MESE       */
/**************************************************************************/

TITLE3 "#33 28 giorni: il numero di persone che parlano della Pagina suddivise per città. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.wc_people_talk_33_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Weekly City People Talking A...";
RUN;


/**************************************************************************/
/* 34 NUMERO DI PERSONE CHE PARLANO DELLA PAGINA PER LINGUA AL GIORNO     */
/**************************************************************************/
TITLE3 "#34 Giornaliero: il numero di persone che parlano della Pagina suddivise per lingua. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.dl_people_talk_34_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Language People Talkin...";
RUN;

proc TABULATE data=facebook.dl_people_talk_34_&suff format=comma10. ;
CLASS Data;
VAR
ar_AR
bg_BG
bn_IN
bp_IN
bs_BA
cs_CZ
da_DK
de_DE
el_GR
en_GB
en_US
es_ES
es_LA
fa_IR
fi_FI
fr_FR
gx_GR
he_IL
hr_HR
hu_HU
id_ID
it_IT
ja_JP
ko_KR
lt_LT
mk_MK
nb_NO
nl_BE
nl_NL
pl_PL
pt_BR
pt_PT
ro_RO
ru_RU
sk_SK
sl_SI
sq_AL
sr_RS
sv_SE
th_TH
tr_TR
uk_UA
vi_VN
zh_CN
zh_HK
zh_TW;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10.;
      TABLE
      Data all, ar_AR
bg_BG
bn_IN
bp_IN
bs_BA
cs_CZ
da_DK
de_DE
el_GR
en_GB
en_US
es_ES
es_LA
fa_IR
fi_FI
fr_FR
gx_GR
he_IL
hr_HR
hu_HU
id_ID
it_IT
ja_JP
ko_KR
lt_LT
mk_MK
nb_NO
nl_BE
nl_NL
pl_PL
pt_BR
pt_PT
ro_RO
ru_RU
sk_SK
sl_SI
sq_AL
sr_RS
sv_SE
th_TH
tr_TR
uk_UA
vi_VN
zh_CN
zh_HK
zh_TW
      / BOX="34 Daily Language People Talkin";
RUN;


/**************************************************************************/
/* 35 NUMERO DI PERSONE CHE PARLANO DELLA PAGINA PER LINGUA ALLA SETTIMANA*/
/**************************************************************************/

TITLE3 "#35 Settimanale: il numero di persone che parlano della Pagina suddivise per lingua. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.wl_people_talk_35_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Language People Talkin...";
RUN;

